Runtime

## org.eclipse.gmf.runtime.common.ui.services.dnd.drag
Class DelegatingDragSourceAdapter

    java.lang.Object
      org.eclipse.gmf.runtime.common.ui.services.dnd.drag.DelegatingDragSourceAdapter

All Implemented Interfaces:
  java.util.EventListener, DragSourceListener, org.eclipse.swt.internal.SWTEventListener

    public final class DelegatingDragSourceAdapter

extends java.lang.Object
implements DragSourceListener

This class delegates all the drag source events to the transfer drag source adapters. The transfer adapters delegate to the registered listeners

Constructor Summary
`DelegatingDragSourceAdapter(DragSourceContext aContext)` Constructor for DelegatingDragSourceAdapter.

Method Summary
`void` `dragFinished(DragSourceEvent event)`
`void` `dragSetData(DragSourceEvent event)`
`void` `dragStart(DragSourceEvent event)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DelegatingDragSourceAdapter

    public DelegatingDragSourceAdapter(DragSourceContext aContext)

  Constructor for DelegatingDragSourceAdapter.

  Parameters:
    `aContext` - the drag source context

Method Detail

### dragStart

    public void dragStart(DragSourceEvent event)

  Specified by:
    `dragStart` in interface `DragSourceListener`

### dragSetData

    public void dragSetData(DragSourceEvent event)

  Specified by:
    `dragSetData` in interface `DragSourceListener`

### dragFinished

    public void dragFinished(DragSourceEvent event)

  Specified by:
    `dragFinished` in interface `DragSourceListener`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.